import { Ref } from 'vue-demi';
import { Plot as BasePlot } from '@antv/g2plot';
import { HTMLAttributes } from '@vue/runtime-dom';
interface Options {
    [x: string]: any;
}
export interface Plot<C extends Options> extends BasePlot<C> {
    new (container: HTMLElement, config: C): BasePlot<C>;
}
declare type PickedAttrs = 'class' | 'style';
declare type Data = Record<string, any>[] | Record<string, any>;
export interface BaseChartProps<C extends Options> extends Pick<HTMLAttributes, PickedAttrs> {
    chart: any;
    data: Data;
    chartRef?: Ref<BasePlot<C> | null>;
    onReady?: (plot: BasePlot<C>) => void;
}
export interface BaseChartRawBindings<C extends Options> {
    plot: BasePlot<C>;
}
declare const BaseChart: any;
export default BaseChart;
